%global nginx_modname vts
%global origname nginx-module-%{nginx_modname}

Name:           nginx-mod-vts
Version:        0.1.18
Release:        1%{?dist}
Summary:        Nginx virtual host traffic status module

License:        BSD
URL:            https://github.com/vozlt/nginx-module-vts
Source0:        %{url}/archive/v%{version}/%{origname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  nginx-mod-devel


%description
%{summary}.

%prep
%autosetup -n %{origname}-%{version}


%build
%nginx_modconfigure
%nginx_modbuild


%install
pushd %{_vpath_builddir}
install -dm 0755 %{buildroot}%{nginx_moddir}
install -pm 0755 ngx_http_vhost_traffic_status_module.so %{buildroot}%{nginx_moddir}
install -dm 0755 %{buildroot}%{nginx_modconfdir}
echo 'load_module "%{nginx_moddir}/ngx_http_vhost_traffic_status_module.so";' \
    > %{buildroot}%{nginx_modconfdir}/mod-vhost-traffic-status.conf
popd


%files
%license LICENSE
%doc README.md
%{nginx_moddir}/ngx_http_vhost_traffic_status_module.so
%{nginx_modconfdir}/mod-vhost-traffic-status.conf


%changelog
* Wed Aug 04 2021 Neal Gompa <ngompa@datto.com> - 0.1.18-1
- Initial packaging
